Rework the mediaplayercontrol
ClosedPublic

Authored by astippich on Jul 27 2019, 8:18 AM.

Details

Summary

Rework the mediaplayercontrol to use the new previous
and next tracks from mediaplaylist. Allows a large
cleanup.

Depends on D22771

Test Plan

tests pass
play, next and previous buttons are still enabled as before
Random and repeat buttons still work as before

Diff Detail

Repository
R255 Elisa
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
astippich requested review of this revision.Jul 27 2019, 8:18 AM
astippich created this revision.
astippich edited the summary of this revision. (Show Details)Jul 27 2019, 8:20 AM
astippich edited the test plan for this revision. (Show Details)

Everything works and looks sane enough to me, but I'm not super familiar with all of this so I'm going to leave the review to @mgallien if you don't mind. :)

astippich updated this revision to Diff 63026.Aug 3 2019, 2:54 PM
  • further simplify

friendly ping @mgallien for the series

mgallien added a comment.EditedAug 8 2019, 8:13 AM

friendly ping @mgallien for the series

That is next on my review to-do list but I will have no time until Sunday evening at best.

Sorry for the delay

Thanks. Just wanted to make sure that it does not fall through

mgallien accepted this revision.Thu, Aug 29, 3:33 PM

Thanks

This revision is now accepted and ready to land.Thu, Aug 29, 3:33 PM
This revision was automatically updated to reflect the committed changes.